Bug 348321 - RFE: Port system-config-network to use NSS library for cryptography
Summary: RFE: Port system-config-network to use NSS library for cryptography
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On: 348661
Blocks: CryptoConsolidation
TreeView+ depends on / blocked
 
Reported: 2007-10-23 10:23 UTC by Peter Vrabec
Modified: 2010-09-04 05:16 UTC (History)
3 users (show)

Fixed In Version: system-config-network-1.6.1-1.fc14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 606796 (view as bug list)
Environment:
Last Closed: 2010-09-02 20:44:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Vrabec 2007-10-23 10:23:28 UTC
system-config-network should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.

Comment 1 Harald Hoyer 2007-10-23 11:32:15 UTC
and how should I change this python application? :)

Comment 2 Tomas Mraz 2007-10-23 11:47:43 UTC
Well of course you will need python bindings for NSS for that.


Comment 3 Harald Hoyer 2007-10-23 12:26:25 UTC
and what crypto libs does s-c-network use? and where?

Comment 4 Tomas Mraz 2007-10-23 12:41:20 UTC
It uses sha from Python in editipsec.py.

Ideally python should use NSS for SHA1 so no changes in s-c-network would be
necessary.


Comment 6 Fedora Update System 2010-08-23 13:46:55 UTC
system-config-network-1.6.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-network-1.6.1-1.fc13

Comment 7 Fedora Update System 2010-08-23 13:50:15 UTC
system-config-network-1.6.1-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/system-config-network-1.6.1-1.fc14

Comment 8 Fedora Update System 2010-08-23 19:02:16 UTC
system-config-network-1.6.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-network-1.6.1-1.fc14

Comment 9 Fedora Update System 2010-09-02 20:43:33 UTC
system-config-network-1.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-04 05:15:57 UTC
system-config-network-1.6.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.